<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja pliku cuboid.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d9/dae/cuboid_8hh.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja pliku cuboid.hh</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;<a class="el" href="../../db/d1b/_matrix_8hh_source.html">Matrix.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../dc/dca/_vector_8hh_source.html">Vector.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla cuboid.hh:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d0a/cuboid_8hh__incl.png" border="0" usemap="#cuboid_8hh" alt=""/></div>
<map name="cuboid_8hh" id="cuboid_8hh">
<area shape="rect" title=" " alt="" coords="79,5,164,32"/>
<area shape="rect" title=" " alt="" coords="94,155,152,181"/>
<area shape="rect" title=" " alt="" coords="21,80,84,107"/>
<area shape="rect" href="../../db/d1b/_matrix_8hh.html" title=" " alt="" coords="236,155,320,181"/>
<area shape="rect" href="../../dc/dca/_vector_8hh.html" title=" " alt="" coords="139,229,222,256"/>
<area shape="rect" href="../../da/dad/shape_8hh.html" title=" " alt="" coords="160,80,241,107"/>
<area shape="rect" title=" " alt="" coords="246,229,309,256"/>
<area shape="rect" title=" " alt="" coords="223,304,303,331"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/da0/cuboid_8hh__dep__incl.png" border="0" usemap="#cuboid_8hhdep" alt=""/></div>
<map name="cuboid_8hhdep" id="cuboid_8hhdep">
<area shape="rect" title=" " alt="" coords="167,5,252,32"/>
<area shape="rect" href="../../da/dcb/drone_8hh.html" title=" " alt="" coords="115,80,194,107"/>
<area shape="rect" href="../../df/d4f/cuboid_8cpp.html" title=" " alt="" coords="218,80,310,107"/>
<area shape="rect" href="../../d5/dd8/scene_8hh.html" title=" " alt="" coords="61,155,141,181"/>
<area shape="rect" href="../../dd/dd8/drone_8cpp.html" title=" " alt="" coords="166,155,253,181"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html" title=" " alt="" coords="5,229,88,256"/>
<area shape="rect" href="../../da/d33/scene_8cpp.html" title=" " alt="" coords="113,229,199,256"/>
</map>
</div>
</div>
<p><a href="../../d9/dae/cuboid_8hh_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Modeluje pojęcie prostopadłościanu.  <a href="../../d2/d73/class_cuboid.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
